package io.cameleer.server.core.storage;

import io.cameleer.common.model.LogEntry;
import io.cameleer.server.core.search.LogSearchRequest;
import io.cameleer.server.core.search.LogSearchResponse;

import java.util.List;

public interface LogIndex {

    LogSearchResponse search(LogSearchRequest request);

    void indexBatch(String instanceId, String applicationId, List<LogEntry> entries);
}
